import {Navigate, Routes, Route, Outlet} from 'react-router-dom'
import {PageLink, PageTitle} from '../../../../../../../_metronic/layout/core'
import {Overview} from './Overview'
import {Projects} from '../../../../../profile/components/Projects'
import {Campaigns} from '../../../../../profile/components/Campaigns'
import {Documents} from '../../../../../profile/components/Documents'
import {Connections} from '../../../../../profile/components/Connections'
import {PersonLandingPageHeader} from './PersonLandingPageHeader'
import { PositionsListWrapper } from '../../PositionsList'

const personBreadCrumbs: Array<PageLink> = [
  {
    title: 'Person',
    path: 'person/overview/:id',
    isSeparator: false,
    isActive: false,
  },
  {
    title: '',
    path: '',
    isSeparator: true,
    isActive: false,
  },
]

const PersonLandingPage = () => (
  <Routes>
    <Route
      element={
        <>
          <PersonLandingPageHeader />
          <Outlet />
        </>
      }
    >
      <Route
        path='overview/:id'
        element={
          <>
            <PageTitle breadcrumbs={personBreadCrumbs}>Overview</PageTitle>
            <Overview />
          </>
        }
      />
      <Route
        path='projects'
        element={
          <>
            <PageTitle breadcrumbs={personBreadCrumbs}>Projects</PageTitle>
            <Projects />
          </>
        }
      />
      <Route
        path='campaigns'
        element={
          <>
            <PageTitle breadcrumbs={personBreadCrumbs}>Campaigns</PageTitle>
            <Campaigns />
          </>
        }
      />
      <Route
        path='documents'
        element={
          <>
            <PageTitle breadcrumbs={personBreadCrumbs}>Documents</PageTitle>
            <Documents />
          </>
        }
      />
      <Route
        path='connections'
        element={
          <>
            <PageTitle breadcrumbs={personBreadCrumbs}>Connections</PageTitle>
            <Connections />
          </>
        }
      />
      <Route index element={<Navigate to='person/overview/:id' />} />
    </Route>
  </Routes>
)

export default PersonLandingPage
